writebytes.d(1m)

NAME
writebytes.d - write bytes by process name. Uses DTrace.

SYNOPSIS
writebytes.d

DESCRIPTION
writebytes.d is a DTrace OneLiner to a report of the number of bytes write by process name. Docs/oneliners.txt and Docs/Examples/oneliners_examples.txt in the DTraceToolkit contain this as a oneliner that can be cut-n-paste to run. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the sysinfo provider.

EXAMPLES

This samples until Ctrl-C is hit.
    # writebytes.d

FIELDS

first field
    This is the process name. There may be several PIDs that have the same process name, for example with numerous instances of "bash". The value reported will be the sum of them all.

second field
    This is the number of bytes write.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
writebytes.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), truss(1)